Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451991 - In RHEL4, pydoc is part of python-tools - need a dep added?
Summary: In RHEL4, pydoc is part of python-tools - need a dep added?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference
Version: 1.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3.2
: ---
Assignee: Alison Young
QA Contact: Petr Matousek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 15:04 UTC by Jeff Needle
Modified: 2012-09-21 13:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-14 01:06:57 UTC


Attachments (Terms of Use)

Description Jeff Needle 2008-06-18 15:04:11 UTC
In RHEL5, pydoc is part of the python package.  In RHEL4, it is part of
python-tools.  Since the Tytorial references it for reading the API docs, we
should probably add a dependency on it for the RHEL4 docs, or at least mention
in the docs that it's part of python-tools so people will know where to find it
if it's not installed.

Comment 1 Jonathan Robie 2008-11-13 15:14:47 UTC
The Python documentation is part of the qpid-python RPM. Signing this over to Rafi.

Comment 3 Lana Brindley 2011-02-03 00:29:05 UTC
The documentation changes will be made as part of the 1.3.2 tech review.

LKB

Comment 4 Alison Young 2011-02-06 23:49:50 UTC
Change made in revision 1.6, build: Red_Hat_Enterprise_MRG-Programming_in_Apache_Qpid-1.3-web-en-US-1-6.el5

Code snippet:
<note>
  <title>Note</title>
  <para>
    The <command>pydoc</command> tool is part of the <command>python-tools</command> package. Install the <command>python-tools</command> package using the command:
    <screen>
      # yum install python-tools
    </screen>
  </para>
</note>

Comment 6 Petr Matousek 2011-02-10 10:02:37 UTC
As pointed in BZ description, pydoc is part of the python package in RHEL5.  In RHEL4, it is part of python-tools.

The recently added note is specific for RHEL4, it is not general. Please reflect it in documentation.  

ASSIGNED

Comment 7 Alison Young 2011-02-11 01:44:35 UTC
Change made in revision 1.7, build:
Red_Hat_Enterprise_MRG-Programming_in_Apache_Qpid-1.3-web-en-US-1-7.el5

Code snippet:
<note>
<title>Note</title>
<para>
  In &RHEL; 4 the <command>pydoc</command> tool is part of the <command>python-tools</command> package. Install the <command>python-tools</command> package using the command:
<screen>
# yum install python-tools
</screen></para>
</note>

Comment 8 Petr Matousek 2011-02-11 10:23:04 UTC
The issue has been fixed.

Red Hat Enterprise MRG 1.3 - Programming in Apache Qpid
Revision 2-0

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.